﻿@model IEnumerable<RotesWebApplication.Models.Noticia>

@{
    ViewBag.Title = "Home Page";
}

<h1>@ViewBag.TituloIndex</h1>

<div class="row">
    <div class="col-md-4">
        <h2>Últimas notícias</h2>

        <ul>
            @foreach (var item in Model)
            {
                <li>
                    @Html.ActionLink(item.Titulo, "ExibirNoticia", "Home",
                   new
                        {
                       @noticiaId = item.NoticiaId,
                       @categoria = item.Categoria.ToLower(),
                       @titulo = item.Titulo.ToLower()
                        }, null)

                    <em>@Html.DisplayFor(modelItem => item.Categoria)</em>
                    <em><b>@Html.DisplayFor(modelItem => item.Date)</b></em>
                </li>
            }
        </ul>

    </div>

    <div class="col-md-4">
        <h2>Categorias</h2>
        <ul>
            @foreach (string item in ViewBag.Categorias)
            {
                <li>@Html.ActionLink(item, "ExibirCategoria", "Home", new { @categoria = item }, null)</li>
            }
        </ul>
    </div>

    <div class="col-md-4">
        <h2>Conteúdos</h2>
        <ul>
            @foreach (string item in ViewBag.Conteudos)
            {
                <li>@Html.Name(item)</li>
            }
        </ul>
    </div>

</div>
<hr />
@Html.ActionLink("Todas as notícias", "TodasNoticias", "Home")